Journal Konquefox 1.8.2 est sortie

Posté par  (site Web personnel) . Licence CC By‑SA.
Étiquettes :
15
11
mai
2012

Konquefox est une petite extension pour une meilleure "intégration" de Firefox dans les environnements KDE ( Voire précédent journal )

La nouvelle version apporte :
- une petite correction car certains boutons ne fonctionnaient plus avec les dernières version de Firefox ;
- et surtout un nouveau bouton "Effacer le champ de recherche", qui m'a souvent été demandé, et qu'un généreux contributeur, qui souhaite rester anonyme, a codé à ma place !

Téléchargement sur le site Mozilla : attention pour l'instant la dernière version n'est disponible qu'en bas dans "Informations de version > Voir l'historique complet de version"

Informations sur l'extension

  • # In kde

    Posté par  (site Web personnel) . Évalué à 8.

    Merci pour ces développements…
    A classer avec l'extension pour l'utilisation de kwalletd :)
    Reste plus que le dernier truc avec firefox qui m'énerve c'est l'association des programmes pour l'ouverture des fichiers…

    • [^] # Re: In kde

      Posté par  (site Web personnel) . Évalué à 1.

      Reste plus que le dernier truc avec firefox qui m'énerve c'est l'association des programmes pour l'ouverture des fichiers…

      Pourquoi attendre que la procédure existe depuis longtemps ?

      Voici le lien de l'astuce : http://konquefox.free.fr/#trick_filepicker
      Oui l'astuce fonctionne depuis Firefox 2 et 3 et fonctionne toujours aujourd'hui, pour l'avoir testé à mes heures sous KDE. =)

      • [^] # Re: In kde

        Posté par  (site Web personnel) . Évalué à 2.

        Il parle pas de ça mais de l'association par défaut…

        Perso, j'utilise firefox-kde-opensuse sous arch (dispo dans aur), c'est un peu long à compiler par contre…

  • # Ils avaient qu'à code cela en utilisant un framework multi-plateforme

    Posté par  . Évalué à 2.

    Bonsoir,
    cela existe déjà depuis des lustres sur wxWidgets ou Qt. C'est vrai que ne pas pouvoir prendre par défaut le bon programme c'est embêtant et sauf erreur même problème avec Thunderbird aussi. Mais bon je ne sais pas pourquoi ils ont fait leur framework multi à eux. Ils auraient du coder avec Qt au tout début, enfin bref.
    Bonne soirée

    • [^] # Re: Ils avaient qu'à code cela en utilisant un framework multi-plateforme

      Posté par  . Évalué à 6.

      Bien sûr, et ils auraient dû utiliser IPOT pour aller récupérer une version de Qt avec la licence qui va bien. Et qui supporte les plateformes qu’ils ciblaient a l’époque.

      Depending on the time of day, the French go either way.

      • [^] # Re: Ils avaient qu'à code cela en utilisant un framework multi-plateforme

        Posté par  . Évalué à -1.

        Pas compris la remarque, en détaillant un peu plus cela permettrait peut être de comprendre. Sauf erreur de ma part, firefox a débuté via Netscape au début des années 2000 ? Qt existait déjà à l'époque sur Windows, Mac et Linux et comme KDE ils pouvaient donc à priori l'utiliser gratuitement aussi non ? (wxWidgets est arrivé un peu après aussi).

        • [^] # Re: Ils avaient qu'à code cela en utilisant un framework multi-plateforme

          Posté par  . Évalué à 4.

          Qt n'était libre que pour les version Linux/Unix, la version Windows était non-libre et payante jusqu'à Qt4. http://fr.wikipedia.org/wiki/Qt#Licences

          « Rappelez-vous toujours que si la Gestapo avait les moyens de vous faire parler, les politiciens ont, eux, les moyens de vous faire taire. » Coluche

          • [^] # Re: Ils avaient qu'à code cela en utilisant un framework multi-plateforme

            Posté par  . Évalué à 1.

            Ok bien vu. Bah il faudra qu'ils pensent à changer, cela leur permettrait notamment d'avoir "un seul code" pour tous les systèmes sur PC et Android aussi puisque Qt est porté sur Android.
            Quand je dis changer je déconne un peu, car je connais le travail que cela comporte de changer de framework. Mais intégrer le patch de "suse" devrait être possible non ? car récupérer les applications par défaut du système serait quand même pas mal (je sais on n'attend que moi :) ).

  • # Seulement KDE?

    Posté par  . Évalué à 2.

    pour une meilleure "intégration" de Firefox dans les environnements KDE

    Pourquoi seulement sous Kde? Pour moi, c'est l'extension indispensable lorsque je suis sous MSWin. C'est juste un début de liberté.
    Merci messieurs les dev's.

    • [^] # Re: Seulement KDE?

      Posté par  (site Web personnel) . Évalué à 3.

      Effectivement, je n'avais jamais fait attention aux statistiques que me fournit Mozilla : 37% des utilisateurs de Konquefox sont sous Windows et 3% sous Mac OS X (Le reste étant évidemment Linux - BSD - Solaris)

    • [^] # Re: Seulement KDE?

      Posté par  . Évalué à -4.

      Tu dois utiliser MSWin ? Je compatis à ta souffrance.

Suivre le flux des commentaires

Note : les commentaires appartiennent à ceux qui les ont postés. Nous n’en sommes pas responsables.